Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1028387 - virtio-serial and balloon should be managed devices
Summary: virtio-serial and balloon should be managed devices
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Arik
QA Contact: Lukas Svaty
URL:
Whiteboard: virt
: 1146180 (view as bug list)
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2013-11-08 10:46 UTC by Michal Skrivanek
Modified: 2015-02-11 17:55 UTC (History)
10 users (show)

Fixed In Version: vt2.2
Doc Type: Bug Fix
Doc Text:
Previously, virtio-serial and balloon devices were treated as unmanaged devices on Windows virtual machines. As a result, the addresses of the virtio-serial and balloon devices changed every time a virtual machine was started and users were asked to install drivers again. With this update, virtio-serial and balloon devices are now managed devices. Users are no longer asked to install drivers for the virtio-serial and balloon devices every time a Windows virtual machine is started.
Clone Of:
Environment:
Last Closed: 2015-02-11 17:55:55 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC
oVirt gerrit 29838 master MERGED core: use previously used address of balloon device Never
oVirt gerrit 29839 master MERGED core: send virtio-serial device to VDSM Never
oVirt gerrit 29840 master MERGED core: add managed virtio-serial devices on upgrade Never
oVirt gerrit 29844 master MERGED core: add managed virtio-serial device when reading ovf Never
oVirt gerrit 31882 ovirt-engine-3.5 MERGED core: use previously used address of balloon device Never
oVirt gerrit 31883 ovirt-engine-3.5 MERGED core: send virtio-serial device to VDSM Never
oVirt gerrit 31894 ovirt-engine-3.5 MERGED core: add managed virtio-serial devices on upgrade Never
oVirt gerrit 31895 ovirt-engine-3.5 MERGED core: add managed virtio-serial device when reading ovf Never

Description Michal Skrivanek 2013-11-08 10:46:02 UTC
those devices should be managed in order to keep their PCI addresses fixed between VM runs. Otherwise that can trigger driver updates (and eventualy windows reboot) or other issues with the installed sw

ATM the problem shows up only when a new device is added or removed

Comment 1 Arik 2014-07-07 13:05:01 UTC
this bug was discovered while checking https://bugzilla.redhat.com/1024833, see comment #7 there for more details.

Comment 3 Lukas Svaty 2014-09-16 10:19:55 UTC
verified in vt3

Comment 4 Michal Skrivanek 2014-10-10 17:18:53 UTC
*** Bug 1146180 has been marked as a duplicate of this bug. ***

Comment 7 Julie 2015-02-03 06:07:52 UTC
Hi Arik, 
   Can you check again if the doc text is correct?

Many thanks,
Julie

Comment 8 Arik 2015-02-03 07:48:58 UTC
(In reply to Julie from comment #7)
> Hi Arik, 
>    Can you check again if the doc text is correct?
> 
> Many thanks,
> Julie

correct

Comment 10 errata-xmlrpc 2015-02-11 17:55:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.